You are not logged in.

#1 2024-03-16 06:41:52

qsqcqs
Member
Registered: 2023-11-07
Posts: 13

[solved]error sshing to aur

when attempting to push a commit to the aur with

git push -u aur

it gives the error message

remote: error: The following error occurred when parsing commit
remote: error: 36b2167799e86024d7cd067cb929c4c9909b0aee:
remote: error: the repository must not contain subdirectories
remote: error: hook declined to update refs/heads/master
To ssh://aur.archlinux.org/qwq.git
 ! [remote rejected] master -> master (hook declined)
error: failed to push some refs to 'ssh://aur.archlinux.org/qwq.git'

despite there being no subdirectory
the output of

ls -a

is

.   .git  PKGBUILD  qwq-1.0-1-x86_64.pkg.tar.zst  src       uwu
..  pkg   qwq       qwq-v1.0.tar.gz               .SRCINFO

so I'm not sure what the issue is

Last edited by qsqcqs (2024-03-16 16:28:01)

Offline

#2 2024-03-16 08:16:18

WorMzy
Forum Moderator
From: Scotland
Registered: 2010-06-16
Posts: 11,933
Website

Re: [solved]error sshing to aur

git show 36b2167799e86024d7cd067cb929c4c9909b0aee

Sakura:-
Mobo: MSI MAG X570S TORPEDO MAX // Processor: AMD Ryzen 9 5950X @4.9GHz // GFX: AMD Radeon RX 5700 XT // RAM: 32GB (4x 8GB) Corsair DDR4 (@ 3000MHz) // Storage: 1x 3TB HDD, 6x 1TB SSD, 2x 120GB SSD, 1x 275GB M2 SSD

Making lemonade from lemons since 2015.

Offline

#3 2024-03-16 08:30:34

qsqcqs
Member
Registered: 2023-11-07
Posts: 13

Re: [solved]error sshing to aur

what does that mean?

Offline

#4 2024-03-16 08:40:03

Scimmia
Fellow
Registered: 2012-09-01
Posts: 11,636

Re: [solved]error sshing to aur

The error tells you what commit is the problem. WorMzy is telling you how to see that commit.

Offline

#5 2024-03-16 09:01:41

qsqcqs
Member
Registered: 2023-11-07
Posts: 13

Re: [solved]error sshing to aur

all it says is

commit 36b2167799e86024d7cd067cb929c4c9909b0aee
Author: qsqcqs <qsqcqs@gmail.com>
Date:   Sat Mar 16 00:42:05 2024 -0700

    pain

diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 0000000..fa7a443
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,23 @@
+# Maintainer: imoutocon
+pkgname='qwq'
+pkgver=1.0
+pkgrel=1
+pkgdesc="uwu/qwq for terminal"
+arch=('x86_64')
+url="https://github.com/qsqcqs/qwq/tree"
+license=('GPL-3.0-or-later')
+depends=('python3')
+checkdepends=()
+optdepends=()
+replaces=('uwu-qwq')
+source=("https://github.com/qsqcqs/$pkgname/archive/refs/tags/qwq-v$pkgver.tar.gz")
+noextract=()
+validpgpkeys=()
+
+
+package() {
+	cd "$pkgname-$pkgname-v$pkgver"
+    sudo install -Dm755 uwu "/usr/bin/uwu"
+    sudo install -Dm755 qwq "/usr/bin/qwq"
+}
+sha256sums=('dc7bdb57e2a96bce1fa75eb17979d4a7b9993b1ebfbc1ea6f60a805741fba4d3')
diff --git a/pkg/qwq/.BUILDINFO b/pkg/qwq/.BUILDINFO
new file mode 100644
index 0000000..e513324
--- /dev/null
+++ b/pkg/qwq/.BUILDINFO
@@ -0,0 +1,1244 @@
+format = 2
+pkgname = qwq
+pkgbase = qwq
+pkgver = 1.0-1
+pkgarch = x86_64
+pkgbuild_sha256sum = 849def3d6e4cebf276d3fe0c6f6470edc4612e5c1c1c74f89cfc30d574d74a6d
+packager = Unknown Packager
+builddate = 1710569205
+builddir = /home/qsqcqs/qwq
+startdir = /home/qsqcqs/qwq
+buildtool = makepkg
+buildtoolver = 6.0.2
+buildenv = !distcc
+buildenv = color
+buildenv = !ccache
+buildenv = check
+buildenv = !sign
+options = strip
+options = docs
+options = !libtool
+options = !staticlibs
+options = emptydirs
+options = zipman
+options = purge
+options = debug
+options = lto
+installed = a52dec-0.8.0-2-x86_64
+installed = aalib-1.4rc5-17-x86_64
+installed = abseil-cpp-20230802.1-1.1-x86_64
+installed = accounts-qml-module-0.7-6-x86_64
+installed = accountsservice-23.13.9-1-x86_64
+installed = acl-2.3.2-1-x86_64
+installed = acpi-1.7-3.1-x86_64
+installed = acpid-2.0.34-1-x86_64
+installed = acpid-runit-20220314-1-any
+installed = adobe-source-code-pro-fonts-2.042u+1.062i+1.026vf-1-any
+installed = adobe-source-han-serif-cn-fonts-2.002-2-any
+installed = adwaita-cursors-45.0-1-any
+installed = adwaita-icon-theme-45.0-1-any
+installed = alien_package_converter-8.95-5-any
+installed = alsa-firmware-1.2.4-3-any
+installed = alsa-lib-1.2.11-1-x86_64
+installed = alsa-plugins-1:1.2.7.1-2-x86_64
+installed = alsa-topology-conf-1.2.5.1-3-any
+installed = alsa-ucm-conf-1.2.11-1-any
+installed = alsa-utils-1.2.11-1-x86_64
+installed = alsa-utils-runit-20220321-1-any
+installed = amd-ucode-20240220.97b693d2-1-any
+installed = aom-3.8.1-1-x86_64
+installed = appstream-1.0.2-1-x86_64
+installed = appstream-qt5-1.0.2-1-x86_64
+installed = archlinux-keyring-20240208-1-any
+installed = archlinux-mirrorlist-20230820-1-any
+installed = argon2-20190702-5-x86_64
+installed = aribb24-1.0.3-3.1-x86_64
+installed = ark-24.02.0-1-x86_64
+installed = artix-archlinux-support-3-1-any
+installed = artix-backgrounds-2023.12-7-any
+installed = artix-branding-base-20231219-1-any
+installed = artix-dark-theme-20240215-1-any
+installed = artix-desktop-presets-20240215-1-any
+installed = artix-grub-theme-2023.12-7-any
+installed = artix-gtk-presets-20230924-1-any
+installed = artix-icons-2023.12-7-any
+installed = artix-keyring-20220901-2-any
+installed = artix-mirrorlist-20240307-1-any
+installed = artix-qt-presets-20230924-1-any
+installed = ascii-image-converter-1.13.1-1-x86_64
+installed = at-spi2-core-2.50.1-1-x86_64
+installed = atkmm-2.28.4-1-x86_64
+installed = attica5-5.115.0-1-x86_64
+installed = attr-2.5.2-1-x86_64
+installed = audit-4.0.1-2-x86_64
+installed = autoconf-2.72-1-any
+installed = automake-1.16.5-2-any
+installed = avahi-1:0.8+r194+g3f79789-1-x86_64
+installed = avahi-runit-20180226-3-any
+installed = b43-fwcutter-019-4-x86_64
+installed = babl-0.1.108-1-x86_64
+installed = baloo-6.0.0-3-x86_64
+installed = base-3-5-any
+installed = base-devel-1-1-any
+installed = bash-5.2.026-2-x86_64
+installed = binutils-2.42-2-x86_64
+installed = bison-3.8.2-6-x86_64
+installed = blas-3.12.0-3-x86_64
+installed = blocaled-0.5-1-x86_64
+installed = bluez-5.73-3-x86_64
+installed = bluez-libs-5.73-3-x86_64
+installed = bluez-runit-20180226-5-any
+installed = boost-libs-1.83.0-5-x86_64
+installed = bootlogd-2.89-3-x86_64
+installed = brotli-1.1.0-1-x86_64
+installed = btrfs-progs-6.7.1-1-x86_64
+installed = bubblewrap-0.8.0-1-x86_64
+installed = bzip2-1.0.8-5-x86_64
+installed = c-ares-1.27.0-1-x86_64
+installed = ca-certificates-20220905-1-any
+installed = ca-certificates-mozilla-3.98-1-x86_64
+installed = ca-certificates-utils-20220905-1-any
+installed = cairo-1.18.0-2-x86_64
+installed = cairomm-1.14.5-1-x86_64
+installed = cantarell-fonts-1:0.303.1-1-any
+installed = cblas-3.12.0-3-x86_64
+installed = cdparanoia-10.2-9-x86_64
+installed = cfitsio-1:4.4.0-1-x86_64
+installed = cheese-44.1-2-x86_64
+installed = chromaprint-1.5.1-7-x86_64
+installed = cinnamon-desktop-6.0.0-1-x86_64
+installed = clutter-1.26.4-2.1-x86_64
+installed = clutter-gst-3.0.27-4-x86_64
+installed = clutter-gtk-1.8.4-3-x86_64
+installed = code-1.87.2-1-x86_64
+installed = cogl-1.22.8-2-x86_64
+installed = colord-1.4.7-2-x86_64
+installed = convertlit-1.8-11-x86_64
+installed = coreutils-9.4-3-x86_64
+installed = cpio-2.15-1-x86_64
+installed = cronie-1.7.1-1-x86_64
+installed = cronie-runit-20200613-3-any
+installed = cryptsetup-2.7.1-1-x86_64
+installed = cryptsetup-runit-20220813-1-any
+installed = cups-1:2.4.7-2-x86_64
+installed = cups-filters-2.0.0-1-x86_64
+installed = cups-runit-20180226-3-any
+installed = curl-8.6.0-3-x86_64
+installed = dav1d-1.4.0-1-x86_64
+installed = db-6.2.32-1-x86_64
+installed = db5.3-5.3.28-4-x86_64
+installed = dbus-1.14.10-2-x86_64
+installed = dbus-glib-0.112-3-x86_64
+installed = dbus-runit-20220314-1-any
+installed = dconf-0.40.0-2-x86_64
+installed = debhelper-13.14.1-2-any
+installed = debtap-3.5.1-1-any
+installed = debugedit-5.0-5-x86_64
+installed = default-cursors-2-1-any
+installed = desktop-file-utils-0.27-1-x86_64
+installed = device-mapper-2.03.23-3-x86_64
+installed = device-mapper-runit-20180429-3-any
+installed = dhclient-4.4.3.P1-2-x86_64
+installed = diffutils-3.10-1-x86_64
+installed = ding-libs-0.6.2-1-x86_64
+installed = djvulibre-3.5.28-5-x86_64
+installed = dkms-3.0.12-1-any
+installed = dmidecode-3.5-1-x86_64
+installed = dmraid-1.0.0.rc16.3-14-x86_64
+installed = dnssec-anchors-20190629-3-any
+installed = dosfstools-4.2-3-x86_64
+installed = double-conversion-3.3.0-1-x86_64
+installed = dpkg-1.22.5-1-x86_64
+installed = duktape-2.7.0-6-x86_64
+installed = e2fsprogs-1.47.0-1-x86_64
+installed = ebook-tools-0.2.2-7.2-x86_64
+installed = editorconfig-core-c-0.12.6-1-x86_64
+installed = efibootmgr-18-3-x86_64
+installed = efivar-39-1-x86_64
+installed = egl-wayland-2:1.1.13-1-x86_64
+installed = eglexternalplatform-1.1-2.1-any
+installed = electron27-27.3.5-1-x86_64
+installed = elementary-icon-theme-7.3.1-1-any
+installed = elfutils-0.191-1-x86_64
+installed = elogind-252.23-1-x86_64
+installed = elogind-runit-20231119-1-any
+installed = enchant-2.6.5-1-x86_64
+installed = esysusers-255.4-2-x86_64
+installed = etmpfiles-255.4-2-x86_64
+installed = exfat-utils-1.4.0-2-x86_64
+installed = exiv2-0.28.2-1-x86_64
+installed = exo-4.18.0-1-x86_64
+installed = expat-2.6.1-1-x86_64
+installed = f2fs-tools-1.16.0-2-x86_64
+installed = faac-1.30-4-x86_64
+installed = faad2-2.11.1-1-x86_64
+installed = fakeroot-1.34-1-x86_64
+installed = falkon-24.02.0-1-x86_64
+installed = fcitx5-gtk-5.1.2-1-x86_64
+installed = ffmpeg-2:6.1.1-6-x86_64
+installed = ffmpeg4.4-4.4.4-4-x86_64
+installed = ffmpegthumbnailer-2.2.2-5-x86_64
+installed = fftw-3.3.10-6-x86_64
+installed = file-5.45-1-x86_64
+installed = filesystem-2024.01.19-1-any
+installed = findutils-4.9.0-3-x86_64
+installed = flac-1.4.3-1-x86_64
+installed = flex-2.6.4-5-x86_64
+installed = fluidsynth-2.3.4-1-x86_64
+installed = font-manager-0.8.8-1-x86_64
+installed = fontconfig-2:2.15.0-2-x86_64
+installed = foomatic-db-3:20240209-1-any
+installed = foomatic-db-engine-5:20200131-1-x86_64
+installed = foomatic-db-gutenprint-ppds-5.3.4-3-x86_64
+installed = foomatic-db-nonfree-ppds-3:20240209-1-any
+installed = foomatic-db-ppds-3:20240209-1-any
+installed = frameworkintegration5-5.115.0-1-x86_64
+installed = freeglut-3.4.0-1-x86_64
+installed = freetype2-2.13.2-1-x86_64
+installed = frei0r-plugins-2.3.2-2-x86_64
+installed = fribidi-1.0.13-2-x86_64
+installed = fuse-common-3.16.2-1-x86_64
+installed = fuse2-2.9.9-4.1-x86_64
+installed = fuse3-3.16.2-1-x86_64
+installed = garcon-4.18.2-1-x86_64
+installed = gawk-5.3.0-1-x86_64
+installed = gc-8.2.6-1-x86_64
+installed = gcc-13.2.1-5-x86_64
+installed = gcc-libs-13.2.1-5-x86_64
+installed = gcr-3.41.2-1-x86_64
+installed = gcr-4-4.2.1-2-x86_64
+installed = gdbm-1.23-2-x86_64
+installed = gdk-pixbuf2-2.42.10-2-x86_64
+installed = geany-2.0-1-x86_64
+installed = gegl-0.4.48-1-x86_64
+installed = gettext-0.22.4-1-x86_64
+installed = ghostscript-10.03.0-1-x86_64
+installed = giflib-5.2.2-1-x86_64
+installed = gimp-2.10.36-5-x86_64
+installed = git-2.44.0-1-x86_64
+installed = glew-2.2.0-6-x86_64
+installed = glib-networking-1:2.78.1-1-x86_64
+installed = glib2-2.78.4-1-x86_64
+installed = glibc-2.39-1-x86_64
+installed = glibmm-2.66.6-1-x86_64
+installed = glslang-14.0.0-2-x86_64
+installed = glu-9.0.3-1-x86_64
+installed = gmp-6.3.0-1-x86_64
+installed = gnome-desktop-1:44.0-1.1-x86_64
+installed = gnome-desktop-common-1:44.0-1.1-x86_64
+installed = gnome-keyring-1:46.1-1-x86_64
+installed = gnome-themes-extra-3.28+r6+g45b1d457-1-x86_64
+installed = gnome-video-effects-1:0.6.0-1-any
+installed = gnupg-2.4.5-1-x86_64
+installed = gnutls-3.8.3-1-x86_64
+installed = go-2:1.22.1-1-x86_64
+installed = gobject-introspection-runtime-1.78.1-1-x86_64
+installed = gparted-1.6.0-1-x86_64
+installed = gperftools-2.15-1-x86_64
+installed = gpgme-1.23.2-1-x86_64
+installed = gpm-1.20.7.r38.ge82d1a6-5-x86_64
+installed = gptfdisk-1.0.10-1-x86_64
+installed = graphene-1.10.8-1-x86_64
+installed = graphite-1:1.3.14-3-x86_64
+installed = grep-3.11-1-x86_64
+installed = groff-1.23.0-5-x86_64
+installed = grpc-1.62.1-1-x86_64
+installed = grub-2:2.12-1-x86_64
+installed = gsettings-desktop-schemas-45.0-1-any
+installed = gsfonts-20200910-3-any
+installed = gsl-2.7.1-3-x86_64
+installed = gsm-1.0.22-1-x86_64
+installed = gssdp-1.6.3-1-x86_64
+installed = gssproxy-0.9.2-1-x86_64
+installed = gst-libav-1.24.0-1-x86_64
+installed = gst-plugins-bad-1.24.0-1-x86_64
+installed = gst-plugins-bad-libs-1.24.0-1-x86_64
+installed = gst-plugins-base-1.24.0-1-x86_64
+installed = gst-plugins-base-libs-1.24.0-1-x86_64
+installed = gst-plugins-good-1.24.0-1-x86_64
+installed = gst-plugins-ugly-1.24.0-1-x86_64
+installed = gstreamer-1.24.0-1-x86_64
+installed = gtk-engine-murrine-0.98.2-4.1-x86_64
+installed = gtk-engines-2.21.0-5-x86_64
+installed = gtk-layer-shell-0.8.2-1-x86_64
+installed = gtk-update-icon-cache-1:4.13.5-1.2-x86_64
+installed = gtk2-2.24.33-3-x86_64
+installed = gtk3-1:3.24.41-1-x86_64
+installed = gtk4-1:4.13.5-1.2-x86_64
+installed = gtkmm3-3.24.8-1-x86_64
+installed = guile-3.0.9-1-x86_64
+installed = gupnp-1:1.6.6-1-x86_64
+installed = gupnp-igd-1.6.0-1-x86_64
+installed = gutenprint-5.3.4-3-x86_64
+installed = gvfs-1.52.2-1-x86_64
+installed = gvfs-mtp-1.52.2-1-x86_64
+installed = gwenview-24.02.0-3-x86_64
+installed = gzip-1.13-2-x86_64
+installed = harfbuzz-8.3.0-2-x86_64
+installed = harfbuzz-icu-8.3.0-2-x86_64
+installed = haveged-1.9.18-1-x86_64
+installed = haveged-runit-20180226-4-any
+installed = hicolor-icon-theme-0.17-3-any
+installed = hidapi-0.14.0-2-x86_64
+installed = highway-1.1.0-1-x86_64
+installed = htop-3.3.0-1-x86_64
+installed = hwdata-0.380-1-any
+installed = hwloc-2.10.0-1-x86_64
+installed = hyphen-2.8.8-5-x86_64
+installed = iana-etc-20231228-1-any
+installed = icu-74.2-1-x86_64
+installed = ijs-0.35-6-x86_64
+installed = imagemagick-7.1.1.29-2-x86_64
+installed = imath-3.1.11-1-x86_64
+installed = imlib2-1.12.2-2-x86_64
+installed = inetutils-2.5-1-x86_64
+installed = intel-ucode-20240312-1-any
+installed = intltool-0.51.0-6-any
+installed = inxi-3.3.33.1-1-any
+installed = iproute2-6.7.0-1-x86_64
+installed = iptables-nft-1:1.8.10-1-x86_64
+installed = iputils-20240117-1-x86_64
+installed = iso-codes-4.16.0-1-any
+installed = iw-6.7-1-x86_64
+installed = jack2-1.9.22-1-x86_64
+installed = jansson-2.14-2-x86_64
+installed = jasper-4.2.1-1-x86_64
+installed = java-environment-common-3-5-any
+installed = java-runtime-common-3-5-any
+installed = jbig2dec-0.20-1-x86_64
+installed = jbigkit-2.1-7-x86_64
+installed = jfsutils-1.1.15-8-x86_64
+installed = jq-1.7.1-1-x86_64
+installed = json-c-0.17-1-x86_64
+installed = json-glib-1.8.0-1-x86_64
+installed = jsoncpp-1.9.5-2-x86_64
+installed = kaccounts-integration-24.02.0-1-x86_64
+installed = kactivities-stats5-5.115.0-1-x86_64
+installed = kactivities5-5.115.0-1-x86_64
+installed = karchive-6.0.0-1-x86_64
+installed = karchive5-5.115.0-1-x86_64
+installed = kauth-6.0.0-2-x86_64
+installed = kauth5-5.115.0-1-x86_64
+installed = kbd-2.6.4-1-x86_64
+installed = kbookmarks-6.0.0-1-x86_64
+installed = kbookmarks5-5.115.0-1-x86_64
+installed = kcmutils-6.0.0-2-x86_64
+installed = kcmutils5-5.115.0-1-x86_64
+installed = kcodecs-6.0.0-1-x86_64
+installed = kcodecs5-5.115.0-1-x86_64
+installed = kcolorpicker-0.3.1-4-x86_64
+installed = kcolorpicker-qt5-0.3.1-4-x86_64
+installed = kcolorscheme-6.0.0-1-x86_64
+installed = kcompletion-6.0.0-1-x86_64
+installed = kcompletion5-5.115.0-1-x86_64
+installed = kconfig-6.0.0-1-x86_64
+installed = kconfig5-5.115.0-1-x86_64
+installed = kconfigwidgets-6.0.0-1-x86_64
+installed = kconfigwidgets5-5.115.0-1-x86_64
+installed = kcoreaddons-6.0.0-1-x86_64
+installed = kcoreaddons5-5.115.0-1-x86_64
+installed = kcrash-6.0.0-1-x86_64
+installed = kcrash5-5.115.0-1-x86_64
+installed = kdbusaddons-6.0.0-1-x86_64
+installed = kdbusaddons5-5.115.0-1-x86_64
+installed = kdeclarative5-5.115.0-1-x86_64
+installed = kded5-5.115.0-1-x86_64
+installed = kdelibs4support-5.115.0-1-x86_64
+installed = kdesu5-5.115.0-1-x86_64
+installed = kdnssd5-5.115.0-1-x86_64
+installed = kdsoap-qt5-2.2.0-1-x86_64
+installed = kemoticons-5.115.0-1-x86_64
+installed = kexec-tools-2.0.26-1-x86_64
+installed = keyutils-1.6.3-2-x86_64
+installed = kfilemetadata-6.0.0-2-x86_64
+installed = kfilemetadata5-5.115.0-1-x86_64
+installed = kglobalaccel-6.0.0-1-x86_64
+installed = kglobalaccel5-5.115.0-3-x86_64
+installed = kguiaddons-6.0.0-2-x86_64
+installed = kguiaddons5-5.115.0-2-x86_64
+installed = kholidays5-1:5.115.0-1-x86_64
+installed = ki18n-6.0.0-1-x86_64
+installed = ki18n5-5.115.1-1-x86_64
+installed = kiconthemes-6.0.0-1-x86_64
+installed = kiconthemes5-5.115.0-1-x86_64
+installed = kidletime-6.0.0-1-x86_64
+installed = kidletime5-5.115.0-1-x86_64
+installed = kimageannotator-0.7.1-2-x86_64
+installed = kimageannotator-qt5-0.7.1-2-x86_64
+installed = kio-6.0.0-2-x86_64
+installed = kio5-5.115.0-3-x86_64
+installed = kirigami-6.0.0-2-x86_64
+installed = kirigami2-5.115.0-1-x86_64
+installed = kitemmodels-6.0.0-1-x86_64
+installed = kitemmodels5-5.115.0-1-x86_64
+installed = kitemviews-6.0.0-1-x86_64
+installed = kitemviews5-5.115.0-1-x86_64
+installed = kjobwidgets-6.0.0-1-x86_64
+installed = kjobwidgets5-5.115.0-1-x86_64
+installed = kmod-32-1-x86_64
+installed = knewstuff5-5.115.0-1-x86_64
+installed = knotifications-6.0.0-1-x86_64
+installed = knotifications5-5.115.0-1-x86_64
+installed = knotifyconfig5-5.115.0-1-x86_64
+installed = kpackage5-5.115.0-1-x86_64
+installed = kparts-6.0.0-1-x86_64
+installed = kparts5-5.115.0-1-x86_64
+installed = kpeople5-5.115.0-1-x86_64
+installed = kpty-6.0.0-1-x86_64
+installed = kpty5-5.115.0-1-x86_64
+installed = kquickcharts5-5.115.0-1-x86_64
+installed = krb5-1.21.2-2-x86_64
+installed = krita-5.2.2-7-x86_64
+installed = krunner5-5.115.0-1-x86_64
+installed = kservice-6.0.0-1-x86_64
+installed = kservice5-5.115.0-1-x86_64
+installed = ktexteditor5-5.115.0-1-x86_64
+installed = ktextwidgets5-5.115.0-1-x86_64
+installed = kunitconversion5-5.115.0-1-x86_64
+installed = kwallet-6.0.0-3-x86_64
+installed = kwallet5-5.115.0-2-x86_64
+installed = kwayland5-5.115.0-1-x86_64
+installed = kwidgetsaddons-6.0.0-1-x86_64
+installed = kwidgetsaddons5-5.115.0-1-x86_64
+installed = kwindowsystem-6.0.0-1-x86_64
+installed = kwindowsystem5-5.115.0-1-x86_64
+installed = kxmlgui-6.0.0-1-x86_64
+installed = kxmlgui5-5.115.0-1-x86_64
+installed = l-smash-2.14.5-3-x86_64
+installed = lame-3.100-4-x86_64
+installed = lapack-3.12.0-3-x86_64
+installed = lcms2-2.16-1-x86_64
+installed = ldns-1.8.3-2-x86_64
+installed = lensfun-1:0.3.4-3-x86_64
+installed = less-1:643-1-x86_64
+installed = lib32-acl-2.3.2-1-x86_64
+installed = lib32-alsa-lib-1.2.11-1-x86_64
+installed = lib32-alsa-plugins-1.2.7.1-2-x86_64
+installed = lib32-brotli-1.1.0-1-x86_64
+installed = lib32-bzip2-1.0.8-3-x86_64
+installed = lib32-curl-8.6.0-3-x86_64
+installed = lib32-dbus-1.14.10-2-x86_64
+installed = lib32-e2fsprogs-1.47.0-1-x86_64
+installed = lib32-expat-2.6.1-1-x86_64
+installed = lib32-fontconfig-2:2.15.0-1-x86_64
+installed = lib32-freetype2-2.13.2-1-x86_64
+installed = lib32-gcc-libs-13.2.1-5-x86_64
+installed = lib32-gettext-0.22.4-1-x86_64
+installed = lib32-glib2-2.78.4-1-x86_64
+installed = lib32-glibc-2.39-1-x86_64
+installed = lib32-harfbuzz-8.3.0-2-x86_64
+installed = lib32-icu-74.2-1-x86_64
+installed = lib32-keyutils-1.6.3-2-x86_64
+installed = lib32-krb5-1.21.2-1-x86_64
+installed = lib32-libcap-2.69-1-x86_64
+installed = lib32-libdrm-2.4.120-1-x86_64
+installed = lib32-libelf-0.191-1-x86_64
+installed = lib32-libffi-3.4.6-1-x86_64
+installed = lib32-libgcrypt-1.10.3-1-x86_64
+installed = lib32-libglvnd-1.7.0-1-x86_64
+installed = lib32-libgpg-error-1.48-1-x86_64
+installed = lib32-libidn2-2.3.7-1-x86_64
+installed = lib32-libldap-2.6.6-1-x86_64
+installed = lib32-libnghttp2-1.60.0-1-x86_64
+installed = lib32-libnghttp3-1.2.0-1-x86_64
+installed = lib32-libnl-3.9.0-1-x86_64
+installed = lib32-libpcap-1.10.4-1-x86_64
+installed = lib32-libpciaccess-0.18-1-x86_64
+installed = lib32-libpng-1.6.43-1-x86_64
+installed = lib32-libpsl-0.21.2-1-x86_64
+installed = lib32-libssh2-1.11.0-1-x86_64
+installed = lib32-libtasn1-4.19.0-1-x86_64
+installed = lib32-libtirpc-1.3.4-1-x86_64
+installed = lib32-libunistring-1.2-1-x86_64
+installed = lib32-libunwind-1.7.2-1-x86_64
+installed = lib32-libx11-1.8.7-1-x86_64
+installed = lib32-libxau-1.0.11-1-x86_64
+installed = lib32-libxcb-1.16.1-1-x86_64
+installed = lib32-libxcrypt-4.4.36-1-x86_64
+installed = lib32-libxcrypt-compat-4.4.36-1-x86_64
+installed = lib32-libxcursor-1.2.2-1-x86_64
+installed = lib32-libxdamage-1.1.6-1-x86_64
+installed = lib32-libxdmcp-1.1.5-1-x86_64
+installed = lib32-libxext-1.3.6-1-x86_64
+installed = lib32-libxfixes-6.0.1-1-x86_64
+installed = lib32-libxi-1.8.1-1-x86_64
+installed = lib32-libxkbcommon-1.6.0-1-x86_64
+installed = lib32-libxml2-2.12.5-1-x86_64
+installed = lib32-libxrandr-1.5.4-1-x86_64
+installed = lib32-libxrender-0.9.11-1-x86_64
+installed = lib32-libxshmfence-1.3.2-1-x86_64
+installed = lib32-libxss-1.2.4-1-x86_64
+installed = lib32-libxxf86vm-1.1.5-1-x86_64
+installed = lib32-llvm-libs-17.0.6-2-x86_64
+installed = lib32-lm_sensors-1:3.6.0.r41.g31d1f125-2-x86_64
+installed = lib32-mesa-1:24.0.2-2-x86_64
+installed = lib32-ncurses-6.4_20230520-1-x86_64
+installed = lib32-nspr-4.35-2-x86_64
+installed = lib32-nss-3.98-1-x86_64
+installed = lib32-nvidia-390xx-utils-390.157-2-x86_64
+installed = lib32-openssl-1:3.2.1-1-x86_64
+installed = lib32-p11-kit-0.25.3-1-x86_64
+installed = lib32-pam-1.6.0-1-x86_64
+installed = lib32-pcre2-10.42-1-x86_64
+installed = lib32-sqlite-3.45.2-1-x86_64
+installed = lib32-systemd-255.4-1-x86_64
+installed = lib32-util-linux-2.39.3-1-x86_64
+installed = lib32-vulkan-icd-loader-1.3.279-1-x86_64
+installed = lib32-wayland-1.22.0-1-x86_64
+installed = lib32-xz-5.6.1-1-x86_64
+installed = lib32-zlib-1.3.1-1-x86_64
+installed = lib32-zstd-1.5.5-1-x86_64
+installed = libaccounts-glib-1.26-2-x86_64
+installed = libaccounts-qt-1.16-5-x86_64
+installed = libadwaita-1:1.4.4-1-x86_64
+installed = libaio-0.3.113-3-x86_64
+installed = libarchive-3.7.2-1-x86_64
+installed = libass-0.17.1-4-x86_64
+installed = libassuan-2.5.6-1-x86_64
+installed = libasyncns-1:0.8+r3+g68cd5af-2-x86_64
+installed = libatasmart-0.19-6-x86_64
+installed = libavc1394-0.5.4-6-x86_64
+installed = libavif-1.0.4-1-x86_64
+installed = libavtp-0.2.0-2-x86_64
+installed = libb2-0.98.1-2-x86_64
+installed = libblockdev-3.1.0-2-x86_64
+installed = libblockdev-crypto-3.1.0-2-x86_64
+installed = libblockdev-fs-3.1.0-2-x86_64
+installed = libblockdev-loop-3.1.0-2-x86_64
+installed = libblockdev-mdraid-3.1.0-2-x86_64
+installed = libblockdev-nvme-3.1.0-2-x86_64
+installed = libblockdev-part-3.1.0-2-x86_64
+installed = libblockdev-swap-3.1.0-2-x86_64
+installed = libbluray-1.3.4-1-x86_64
+installed = libbpf-1.3.0-1-x86_64
+installed = libbs2b-3.1.0-8-x86_64
+installed = libbsd-0.12.1-1-x86_64
+installed = libburn-1.5.6-1-x86_64
+installed = libbytesize-2.8-2-x86_64
+installed = libcaca-0.99.beta20-2-x86_64
+installed = libcanberra-1:0.30+r2+gc0620e4-3-x86_64
+installed = libcap-2.69-3-x86_64
+installed = libcap-ng-0.8.4-1-x86_64
+installed = libcdio-2.1.0-3-x86_64
+installed = libcdio-paranoia-10.2+2.0.1-3-x86_64
+installed = libcheese-44.1-2-x86_64
+installed = libcloudproviders-0.3.5-1-x86_64
+installed = libcolord-1.4.7-2-x86_64
+installed = libcups-1:2.4.7-2-x86_64
+installed = libcupsfilters-2.0.0-1-x86_64
+installed = libdaemon-0.14-5.1-x86_64
+installed = libdatrie-0.2.13-4-x86_64
+installed = libdbusmenu-glib-16.04.0.r498-2-x86_64
+installed = libdbusmenu-gtk3-16.04.0.r498-2-x86_64
+installed = libdbusmenu-qt5-0.9.3+16.04.20160218-7-x86_64
+installed = libdc1394-2.2.7-1-x86_64
+installed = libdca-0.0.7-2-x86_64
+installed = libde265-1.0.15-1-x86_64
+installed = libdeflate-1.19-1-x86_64
+installed = libdmtx-0.7.7-1-x86_64
+installed = libdovi-3.2.0-2-x86_64
+installed = libdrm-2.4.120-1-x86_64
+installed = libdv-1.0.0-11-x86_64
+installed = libdvbpsi-1:1.3.3-3-x86_64
+installed = libdvdnav-6.1.1-2-x86_64
+installed = libdvdread-6.1.3-2-x86_64
+installed = libebml-1.4.5-1-x86_64
+installed = libebur128-1.2.6-1-x86_64
+installed = libedit-20230828_3.1-1-x86_64
+installed = libelf-0.191-1-x86_64
+installed = libelogind-252.23-1-x86_64
+installed = libepoxy-1.5.10-2-x86_64
+installed = libevdev-1.13.1-1-x86_64
+installed = libevent-2.1.12-4-x86_64
+installed = libexif-0.6.24-2-x86_64
+installed = libfabric-1.20.1-1-x86_64
+installed = libfdk-aac-2.0.3-1-x86_64
+installed = libffi-3.4.6-1-x86_64
+installed = libfontenc-1.1.8-1-x86_64
+installed = libfreeaptx-0.1.1-1-x86_64
+installed = libgcrypt-1.10.3-1-x86_64
+installed = libgdiplus-5.6.1-4-x86_64
+installed = libgexiv2-0.14.2-1-x86_64
+installed = libgirepository-1.78.1-1-x86_64
+installed = libglvnd-1.7.0-1-x86_64
+installed = libgme-0.6.3-4-x86_64
+installed = libgpg-error-1.48-1-x86_64
+installed = libgtop-2.41.3-1-x86_64
+installed = libgudev-238-1-x86_64
+installed = libgusb-0.4.8-1-x86_64
+installed = libgxps-0.3.2-4-x86_64
+installed = libheif-1.17.6-3-x86_64
+installed = libical-3.0.17-2-x86_64
+installed = libice-1.1.1-2-x86_64
+installed = libidn-1.42-1-x86_64
+installed = libidn2-2.3.7-1-x86_64
+installed = libiec61883-1.2.0-7-x86_64
+installed = libimagequant-4.3.0-1-x86_64
+installed = libimobiledevice-1.3.0-10-x86_64
+installed = libinih-57-1-x86_64
+installed = libinput-1.25.0-1-x86_64
+installed = libinstpatch-1.1.6-2-x86_64
+installed = libisl-0.26-1-x86_64
+installed = libisofs-1.5.6-1-x86_64
+installed = libjpeg-turbo-3.0.2-2-x86_64
+installed = libjxl-0.10.2-1-x86_64
+installed = libkate-0.4.1-9-x86_64
+installed = libkdcraw-24.02.0-1-x86_64
+installed = libkdcraw5-24.02.0-1-x86_64
+installed = libkeybinder3-0.3.2-4-x86_64
+installed = libksba-1.6.6-1-x86_64
+installed = liblc3-1.0.4-1-x86_64
+installed = libldac-2.0.2.3-1-x86_64
+installed = libldap-2.6.6-2-x86_64
+installed = liblqr-0.4.2-3.1-x86_64
+installed = liblrdf-0.6.1-4-x86_64
+installed = libltc-1.3.2-1-x86_64
+installed = liblzf-3.6-4-x86_64
+installed = libmad-0.15.1b-10-x86_64
+installed = libmanette-0.2.7-1-x86_64
+installed = libmatroska-1.7.1-1-x86_64
+installed = libmbim-1.30.0-1-x86_64
+installed = libmd-1.1.0-1-x86_64
+installed = libmfx-23.2.2-2-x86_64
+installed = libmicrodns-0.2.0-1-x86_64
+installed = libmicrohttpd-1.0.1-1-x86_64
+installed = libmm-glib-1.22.0-1-x86_64
+installed = libmng-2.0.3-3.1-x86_64
+installed = libmnl-1.0.5-1-x86_64
+installed = libmodplug-0.8.9.0-5-x86_64
+installed = libmpc-1.3.1-1-x86_64
+installed = libmpcdec-1:0.1+r475-4-x86_64
+installed = libmpd-11.8.17-5.1-x86_64
+installed = libmpeg2-0.5.1-8-x86_64
+installed = libmtp-1.1.21-1-x86_64
+installed = libmypaint-1.6.1-1-x86_64
+installed = libndp-1.8-1-x86_64
+installed = libnet-2:1.3-1-x86_64
+installed = libnetfilter_conntrack-1.0.9-1-x86_64
+installed = libnewt-0.52.24-1-x86_64
+installed = libnfnetlink-1.0.2-1-x86_64
+installed = libnftnl-1.2.6-1-x86_64
+installed = libnghttp2-1.60.0-1-x86_64
+installed = libnghttp3-1.2.0-1-x86_64
+installed = libnice-0.1.22-1-x86_64
+installed = libnl-3.9.0-1-x86_64
+installed = libnm-1.46.0-2-x86_64
+installed = libnma-1.10.6-2-x86_64
+installed = libnma-common-1.10.6-2-x86_64
+installed = libnotify-0.8.3-1-x86_64
+installed = libnsl-2.0.1-1-x86_64
+installed = libnvme-1.8-1-x86_64
+installed = libogg-1.3.5-1-x86_64
+installed = libomxil-bellagio-0.9.3-4-x86_64
+installed = libopenmpt-0.7.4-1-x86_64
+installed = libopenraw-0.3.7-1-x86_64
+installed = libp11-kit-0.25.3-1-x86_64
+installed = libpaper-2.2.5-1-x86_64
+installed = libpcap-1.10.4-1-x86_64
+installed = libpciaccess-0.18-1-x86_64
+installed = libpgm-5.3.128-3-x86_64
+installed = libpipeline-1.5.7-1-x86_64
+installed = libpipewire-1:1.0.3-1-x86_64
+installed = libplacebo-6.338.2-2-x86_64
+installed = libplist-2.4.0-1-x86_64
+installed = libpng-1.6.43-1-x86_64
+installed = libppd-2.0.0-1-x86_64
+installed = libproxy-0.5.4-1-x86_64
+installed = libpsl-0.21.2-1-x86_64
+installed = libpulse-17.0-3-x86_64
+installed = libqaccessibilityclient-qt5-0.6.0-1-x86_64
+installed = libqmi-1.34.0-1-x86_64
+installed = libqrtr-glib-1.2.2-2-x86_64
+installed = libraqm-0.10.1-1-x86_64
+installed = libraw-0.21.2-1-x86_64
+installed = libraw1394-2.1.2-3.1-x86_64
+installed = librewolf-bin-122.0-1-x86_64
+installed = librsvg-2:2.57.2-1-x86_64
+installed = libsamplerate-0.2.2-2-x86_64
+installed = libsasl-2.1.28-4-x86_64
+installed = libseccomp-2.5.5-2-x86_64
+installed = libsecret-0.21.4-1-x86_64
+installed = libshout-1:2.4.6-2-x86_64
+installed = libsigc++-2.12.1-1-x86_64
+installed = libsm-1.2.4-1-x86_64
+installed = libsndfile-1.2.2-2-x86_64
+installed = libsodium-1.0.19-3-x86_64
+installed = libsoup-2.74.3-1-x86_64
+installed = libsoup3-3.4.4-1-x86_64
+installed = libsoxr-0.1.3-3-x86_64
+installed = libspiro-1:20221101-2-x86_64
+installed = libsrtp-1:2.6.0-1-x86_64
+installed = libssh-0.10.6-2-x86_64
+installed = libssh2-1.11.0-1-x86_64
+installed = libstemmer-2.2.0-2-x86_64
+installed = libsynctex-2023.66984-19-x86_64
+installed = libsysprof-capture-45.2-1-x86_64
+installed = libtar-1.2.20-7-x86_64
+installed = libtas-1.4.5-1-x86_64
+installed = libtasn1-4.19.0-1-x86_64
+installed = libteam-1.32-1-x86_64
+installed = libthai-0.1.29-3-x86_64
+installed = libtheora-1.1.1-6-x86_64
+installed = libtiff-4.6.0-2-x86_64
+installed = libtirpc-1.3.4-1-x86_64
+installed = libtommath-1.2.1-1-x86_64
+installed = libtool-2.4.7+4+g1ec8fa28-7-x86_64
+installed = libtorrent-rasterbar-1:2.0.9-3-x86_64
+installed = libtpms-0.9.6-1-x86_64
+installed = libudev-255.4-2-x86_64
+installed = libunibreak-6.1-1-x86_64
+installed = libunistring-1.2-1-x86_64
+installed = libunwind-1.8.1-1-x86_64
+installed = libupnp-1.14.18-1-x86_64
+installed = liburcu-0.14.0-1-x86_64
+installed = liburing-2.5-1-x86_64
+installed = libusb-1.0.27-1-x86_64
+installed = libusbmuxd-2.0.2-3-x86_64
+installed = libutempter-1.2.1-4-x86_64
+installed = libva-2.20.0-1-x86_64
+installed = libva-intel-driver-2.4.1-2-x86_64
+installed = libva-mesa-driver-1:24.0.2-2-x86_64
+installed = libva-vdpau-driver-0.7.4-6-x86_64
+installed = libvdpau-1.5-2-x86_64
+installed = libvdpau-va-gl-0.4.2-3-x86_64
+installed = libverto-0.3.2-4-x86_64
+installed = libvorbis-1.3.7-3-x86_64
+installed = libvpl-2.10.2-1-x86_64
+installed = libvpx-1.14.0-1-x86_64
+installed = libwacom-2.10.0-1-x86_64
+installed = libwebp-1.3.2-1-x86_64
+installed = libwmf-0.2.13-1-x86_64
+installed = libwnck3-43.0-3-x86_64
+installed = libwpe-1.14.2-1-x86_64
+installed = libx11-1.8.7-1-x86_64
+installed = libxau-1.0.11-2-x86_64
+installed = libxcb-1.16.1-1-x86_64
+installed = libxcomposite-0.4.6-1-x86_64
+installed = libxcrypt-4.4.36-1-x86_64
+installed = libxcrypt-compat-4.4.36-1-x86_64
+installed = libxcursor-1.2.2-1-x86_64
+installed = libxcvt-0.1.2-1-x86_64
+installed = libxdamage-1.1.6-1-x86_64
+installed = libxdmcp-1.1.5-1-x86_64
+installed = libxext-1.3.6-1.1-x86_64
+installed = libxfce4ui-4.18.6-1-x86_64
+installed = libxfce4util-4.18.2-1-x86_64
+installed = libxfixes-6.0.1-1-x86_64
+installed = libxfont2-2.0.6-2-x86_64
+installed = libxft-2.3.8-1-x86_64
+installed = libxi-1.8.1-1-x86_64
+installed = libxinerama-1.1.5-1-x86_64
+installed = libxkbcommon-1.6.0-1-x86_64
+installed = libxkbcommon-x11-1.6.0-1-x86_64
+installed = libxkbfile-1.1.3-1.1-x86_64
+installed = libxklavier-5.4-5-x86_64
+installed = libxml2-2.12.5-1-x86_64
+installed = libxmlb-0.3.15-1-x86_64
+installed = libxmu-1.1.4-1-x86_64
+installed = libxnvctrl-550.54.14-1-x86_64
+installed = libxpm-3.5.17-1-x86_64
+installed = libxpresent-1.0.1-1-x86_64
+installed = libxrandr-1.5.4-1-x86_64
+installed = libxrender-0.9.11-1-x86_64
+installed = libxres-1.2.2-1-x86_64
+installed = libxshmfence-1.3.2-1-x86_64
+installed = libxslt-1.1.39-1-x86_64
+installed = libxss-1.2.4-1-x86_64
+installed = libxt-1.3.0-1-x86_64
+installed = libxtst-1.2.4-1-x86_64
+installed = libxv-1.0.12-1-x86_64
+installed = libxvmc-1.0.14-1.1-x86_64
+installed = libxxf86vm-1.1.5-1-x86_64
+installed = libyaml-0.2.5-2-x86_64
+installed = libyuv-r2426+464c51a0-1-x86_64
+installed = libzip-1.10.1-1-x86_64
+installed = licenses-20240206-1-any
+installed = lightdm-1:1.32.0-6-x86_64
+installed = lightdm-gtk-greeter-1:2.0.8-3-x86_64
+installed = lightdm-runit-20220815-1-any
+installed = lilv-0.24.24-1-x86_64
+installed = linux-6.7.9.artix1-1-x86_64
+installed = linux-api-headers-6.7-1-any
+installed = linux-firmware-20240220.97b693d2-1-any
+installed = linux-firmware-whence-20240220.97b693d2-1-any
+installed = linux-headers-6.7.9.artix1-1-x86_64
+installed = llvm-libs-17.0.6-2-x86_64
+installed = lm_sensors-1:3.6.0.r41.g31d1f125-2-x86_64
+installed = lmdb-0.9.32-1-x86_64
+installed = logrotate-3.21.0-2-x86_64
+installed = love-11.5-1-x86_64
+installed = lsb-release-2.0.r53.a86f885-1-any
+installed = lsof-4.99.3-2-x86_64
+installed = lua-5.4.6-3-x86_64
+installed = lua51-5.1.5-11-x86_64
+installed = lua51-lsqlite3-0.9.5-4-x86_64
+installed = luajit-2.1.1702233742-1-x86_64
+installed = lv2-1.18.10-1-x86_64
+installed = lvm2-2.03.23-3-x86_64
+installed = lvm2-runit-20210205-3-any
+installed = lz4-1:1.9.4-2-x86_64
+installed = lzo-2.10-5-x86_64
+installed = m4-1.4.19-3-x86_64
+installed = mailcap-2.1.54-1.1-any
+installed = make-4.4.1-2-x86_64
+installed = man-db-2.12.0-1-x86_64
+installed = man-pages-6.06-2-any
+installed = mate-icon-theme-faenza-1.20.0-2-any
+installed = mathjax2-2.7.9-1-any
+installed = md4c-0.5.2-1-x86_64
+installed = mdadm-4.3-2-x86_64
+installed = mdadm-runit-20180429-3-any
+installed = media-player-info-24-2.1-any
+installed = memtest86+-7.00-1-any
+installed = mesa-1:24.0.2-2-x86_64
+installed = mesa-vdpau-1:24.0.2-2-x86_64
+installed = minizip-1:1.3.1-1-x86_64
+installed = minizip-ng-4.0.5-1-x86_64
+installed = mjpegtools-2.2.1-2-x86_64
+installed = mkinitcpio-38-4-any
+installed = mkinitcpio-busybox-1.36.1-1-x86_64
+installed = mkinitcpio-openswap-0.1.0-4-any
+installed = mlt-7.22.0-3-x86_64
+installed = mobile-broadband-provider-info-20230416-1-any
+installed = modemmanager-1.22.0-1-x86_64
+installed = mono-6.12.0.206-1-x86_64
+installed = mpfr-4.2.1-2-x86_64
+installed = mpg123-1.32.5-1-x86_64
+installed = mtdev-1.1.6-2-x86_64
+installed = mugshot-0.4.3-3-any
+installed = mypaint-brushes1-1.3.1-1-any
+installed = namcap-3.5.2-1-any
+installed = nano-7.2-1-x86_64
+installed = nbd-3.26.1-1-x86_64
+installed = ncdu-2.3-1.1-x86_64
+installed = ncurses-6.4_20230520-1-x86_64
+installed = neofetch-7.1.0-2-any
+installed = neon-0.33.0-1-x86_64
+installed = net-tools-2.10-2-x86_64
+installed = nettle-3.9.1-1-x86_64
+installed = networkmanager-1.46.0-2-x86_64
+installed = networkmanager-runit-20180226-3-any
+installed = nfs-utils-2.6.4-1-x86_64
+installed = nfs-utils-runit-20200613-2-any
+installed = nfsidmap-2.6.4-1-x86_64
+installed = nftables-1:1.0.9-1-x86_64
+installed = nm-connection-editor-1.36.0-1-x86_64
+installed = noto-fonts-1:24.3.1-1-any
+installed = npth-1.7-1-x86_64
+installed = nspr-4.35-2-x86_64
+installed = nss-3.98-1-x86_64
+installed = ntp-4.2.8.p17-1-x86_64
+installed = ntp-runit-20210301-3-any
+installed = numactl-2.0.18-1-x86_64
+installed = nvidia-390xx-utils-390.157-7-x86_64
+installed = ocl-icd-2.3.2-1-x86_64
+installed = olympus-23.12.31.01-1-x86_64
+installed = oniguruma-6.9.9-1-x86_64
+installed = openal-1.23.1-1-x86_64
+installed = opencolorio-2.3.1-2-x86_64
+installed = opencore-amr-0.1.6-1-x86_64
+installed = openexr-3.2.3-1-x86_64
+installed = openjpeg2-2.5.2-1-x86_64
+installed = openmpi-5.0.2-6-x86_64
+installed = openpmix-4.2.9-1-x86_64
+installed = openssh-9.7p1-1-x86_64
+installed = openssh-runit-20180429-4-any
+installed = openssl-3.2.1-1-x86_64
+installed = openvpn-2.6.9-1-x86_64
+installed = opus-1.5.1-1-x86_64
+installed = orc-0.4.38-1-x86_64
+installed = os-prober-1.81-1-x86_64
+installed = oxygen-sounds-6.0.1-1-any
+installed = p11-kit-0.25.3-1-x86_64
+installed = p7zip-1:17.05-2-x86_64
+installed = pacman-6.0.2-9-x86_64
+installed = pahole-1:1.26-1-x86_64
+installed = pam-1.5.3-3-x86_64
+installed = pambase-20230918-1-any
+installed = pango-1:1.52.1-1-x86_64
+installed = pangomm-2.46.4-1-x86_64
+installed = parole-4.18.1-2-x86_64
+installed = parted-3.6-1-x86_64
+installed = patch-2.7.6-10-x86_64
+installed = pavucontrol-1:5.0+r64+geba9ca6-1-x86_64
+installed = pciutils-3.11.1-1-x86_64
+installed = pcre-8.45-4-x86_64
+installed = pcre2-10.42-2-x86_64
+installed = pcsclite-2.0.3-1-x86_64
+installed = perl-5.38.2-1-x86_64
+installed = perl-alien-build-2.80-2-any
+installed = perl-alien-libxml2-0.19-2-any
+installed = perl-archive-cpio-0.10-8-any
+installed = perl-archive-zip-1.68-8-any
+installed = perl-capture-tiny-0.48-7-any
+installed = perl-clone-0.46-2-x86_64
+installed = perl-dbi-1.643-6-x86_64
+installed = perl-encode-locale-1.05-11-any
+installed = perl-error-0.17029-5-any
+installed = perl-ffi-checklib-0.31-3-any
+installed = perl-file-chdir-0.1011-5-any
+installed = perl-file-listing-6.16-2-any
+installed = perl-file-which-1.27-3-any
+installed = perl-html-parser-3.81-2-x86_64
+installed = perl-html-tagset-3.20-14-any
+installed = perl-http-cookiejar-0.014-1-any
+installed = perl-http-cookies-6.11-1-any
+installed = perl-http-daemon-6.16-2-any
+installed = perl-http-date-6.06-1-any
+installed = perl-http-message-6.45-1-any
+installed = perl-http-negotiate-6.01-12-any
+installed = perl-io-html-1.004-4-any
+installed = perl-libwww-6.72-1-any
+installed = perl-lwp-mediatypes-6.04-4-any
+installed = perl-mailtools-2.21-7-any
+installed = perl-net-http-6.23-2-any
+installed = perl-path-tiny-0.144-2-any
+installed = perl-pod-parser-1.66-2-any
+installed = perl-sub-override-0.10-1-any
+installed = perl-timedate-2.33-5-any
+installed = perl-try-tiny-0.31-3-any
+installed = perl-uri-5.21-1-any
+installed = perl-www-robotrules-6.02-12-any
+installed = perl-xml-libxml-2.0209-1-x86_64
+installed = perl-xml-namespacesupport-1.12-5.1-any
+installed = perl-xml-parser-2.46-5-x86_64
+installed = perl-xml-sax-1.02-1.2-any
+installed = perl-xml-sax-base-1.09-5.1-any
+installed = phonon-qt5-4.12.0-4-x86_64
+installed = phonon-qt5-gstreamer-4.10.0-4-x86_64
+installed = phonon-qt6-4.12.0-4-x86_64
+installed = phonon-qt6-vlc-0.12.0-2-x86_64
+installed = pinentry-1.2.1-3-x86_64
+installed = pixman-0.43.4-1-x86_64
+installed = pkcs11-helper-1.30.0-1-x86_64
+installed = pkgconf-2.1.0-2-x86_64
+installed = pkgfile-21-2.1-x86_64
+installed = plasma-activities-6.0.1-1-x86_64
+installed = plasma-framework5-5.115.0-3-x86_64
+installed = plocate-1.1.22-1-x86_64
+installed = po-debconf-1.0.21+nmu1-1-any
+installed = polkit-124-2-x86_64
+installed = polkit-gnome-0.105-10-x86_64
+installed = polkit-qt5-0.200.0-1-x86_64
+installed = polkit-qt6-0.200.0-1-x86_64
+installed = poppler-24.03.0-1-x86_64
+installed = poppler-data-0.4.12-1-any
+installed = poppler-glib-24.03.0-1-x86_64
+installed = poppler-qt5-24.03.0-1-x86_64
+installed = poppler-qt6-24.03.0-1-x86_64
+installed = popt-1.19-1-x86_64
+installed = portaudio-1:19.7.0-2-x86_64
+installed = powertop-2.15-1-x86_64
+installed = ppp-2.5.0-3-x86_64
+installed = prison5-5.115.0-1-x86_64
+installed = procps-ng-4.0.4-2-x86_64
+installed = protobuf-25.3-1-x86_64
+installed = prrte-3.0.4-3-x86_64
+installed = psensor-1.2.1-4-x86_64
+installed = psmisc-23.7-1-x86_64
+installed = pulseaudio-17.0-3-x86_64
+installed = pulseaudio-alsa-1:1.2.7.1-2-x86_64
+installed = pulseaudio-bluetooth-17.0-3-x86_64
+installed = pulseaudio-zeroconf-17.0-3-x86_64
+installed = purpose-6.0.0-1-x86_64
+installed = purpose5-5.115.0-3-x86_64
+installed = pyalpm-0.10.7-1-x86_64
+installed = pystring-1.1.4-1-x86_64
+installed = python-3.11.8-1-x86_64
+installed = python-aiohttp-3.9.3-1-x86_64
+installed = python-aiosignal-1.3.1-5-any
+installed = python-attrs-23.2.0-1-any
+installed = python-boolean.py-4.0-2-any
+installed = python-cairo-1.26.0-1-x86_64
+installed = python-cairocffi-1.6.1-1-any
+installed = python-cairosvg-2.7.1-2-any
+installed = python-cffi-1.16.0-1-x86_64
+installed = python-chardet-5.2.0-1-any
+installed = python-charset-normalizer-3.3.2-1-any
+installed = python-click-8.1.7-1-any
+installed = python-colored-2.2.4-1-any
+installed = python-cssselect2-0.7.0-3-any
+installed = python-defusedxml-0.7.1-5-any
+installed = python-discord-2.3.2-1-any
+installed = python-dotenv-1.0.1-1-any
+installed = python-frozenlist-1.4.1-1-x86_64
+installed = python-gobject-3.46.0-1-x86_64
+installed = python-gpgme-1.23.2-1-x86_64
+installed = python-html2text-2020.1.16-9-any
+installed = python-idna-3.6-1-any
+installed = python-license-expression-30.2.0-1-any
+installed = python-multidict-6.0.4-2-x86_64
+installed = python-packaging-23.2-1-any
+installed = python-pexpect-4.9.0-1-any
+installed = python-pillow-10.2.0-2-x86_64
+installed = python-ply-3.11-12-any
+installed = python-psutil-5.9.8-1-x86_64
+installed = python-ptyprocess-0.7.0-5-any
+installed = python-pycparser-2.21-5-any
+installed = python-pyelftools-0.30-1-any
+installed = python-pyperclip-1.8.2-6-any
+installed = python-pyqt5-5.15.10-1-x86_64
+installed = python-pyqt5-sip-12.13.0-1-x86_64
+installed = python-pysocks-1.7.1-8-any
+installed = python-requests-2.31.0-1-any
+installed = python-tinycss2-1.2.1-2-any
+installed = python-urllib3-1.26.18-1-any
+installed = python-webencodings-0.5.1-10-any
+installed = python-xcffib-1.4.0-1-any
+installed = python-yarl-1.9.4-1-x86_64
+installed = qbittorrent-4.6.3-1-x86_64
+installed = qca-qt5-2.3.8-2-x86_64
+installed = qca-qt6-2.3.8-2-x86_64
+installed = qpdf-11.9.0-1-x86_64
+installed = qqc2-desktop-style5-5.115.0-1-x86_64
+installed = qrencode-4.1.1-2-x86_64
+installed = qt5-base-5.15.12+kde+r151-1-x86_64
+installed = qt5-declarative-5.15.12+kde+r32-1-x86_64
+installed = qt5-graphicaleffects-5.15.12-1-x86_64
+installed = qt5-imageformats-5.15.12+kde+r10-1-x86_64
+installed = qt5-location-5.15.12+kde+r6-1.1-x86_64
+installed = qt5-multimedia-5.15.12+kde+r2-1-x86_64
+installed = qt5-quickcontrols-5.15.12-1-x86_64
+installed = qt5-quickcontrols2-5.15.12+kde+r5-1-x86_64
+installed = qt5-speech-5.15.12+kde+r1-1-x86_64
+installed = qt5-styleplugins-5.0.0.20170311-40.5-x86_64
+installed = qt5-svg-5.15.12+kde+r6-1-x86_64
+installed = qt5-tools-5.15.12+kde+r4-2-x86_64
+installed = qt5-translations-5.15.12-1-any
+installed = qt5-wayland-5.15.12+kde+r61-1-x86_64
+installed = qt5-webchannel-5.15.12+kde+r3-1-x86_64
+installed = qt5-webengine-5.15.16-3-x86_64
+installed = qt5-x11extras-5.15.12-1-x86_64
+installed = qt6-5compat-6.6.2-2-x86_64
+installed = qt6-base-6.6.2-4-x86_64
+installed = qt6-declarative-6.6.2-1-x86_64
+installed = qt6-positioning-6.6.2-1-x86_64
+installed = qt6-shadertools-6.6.2-1-x86_64
+installed = qt6-svg-6.6.2-1-x86_64
+installed = qt6-translations-6.6.2-1-any
+installed = qt6-wayland-6.6.2-1-x86_64
+installed = qt6-webchannel-6.6.2-1-x86_64
+installed = qt6-webengine-6.6.2-1-x86_64
+installed = quazip-qt5-1.4-1.2-x86_64
+installed = raptor-2.0.16-4-x86_64
+installed = rav1e-0.7.1-1-x86_64
+installed = raw-thumbnailer-0.2.1-7-x86_64
+installed = re2-1:20240301-1-x86_64
+installed = readline-8.2.010-1-x86_64
+installed = reiserfsprogs-3.6.27-4-x86_64
+installed = rig-1.11-1-any
+installed = rig-debug-1.11-1-any
+installed = ripgrep-14.1.0-1-x86_64
+installed = rpcbind-1.2.6-3-x86_64
+installed = rpcbind-runit-20180429-4-any
+installed = rpm-sequoia-1.6.0-1-x86_64
+installed = rpm-tools-4.19.1.1-1-x86_64
+installed = rsync-3.2.7-6-x86_64
+installed = rsync-runit-20180226-3-any
+installed = rtkit-0.13-2.1-x86_64
+installed = rtmpdump-1:2.4.r105.6f6bb13-1-x86_64
+installed = rubberband-3.3.0-1-x86_64
+installed = run-parts-5.5-1-x86_64
+installed = runit-2.1.2-31-x86_64
+installed = runit-rc-20231101-3-x86_64
+installed = sbc-2.0-1-x86_64
+installed = scrot-1.10-1-x86_64
+installed = sdl12-compat-1.2.68-1-x86_64
+installed = sdl2-2.30.1-1-x86_64
+installed = sed-4.9-3-x86_64
+installed = serd-0.32.2-1-x86_64
+installed = shaderc-2023.8-1-x86_64
+installed = shadow-4.14.3-1-x86_64
+installed = shared-mime-info-2.4-1-x86_64
+installed = signon-kwallet-extension-24.02.0-1-x86_64
+installed = signon-plugin-oauth2-0.25-3-x86_64
+installed = signon-ui-0.17+20231016-2-x86_64
+installed = signond-8.61-3-x86_64
+installed = simplescreenrecorder-0.4.4-2-x86_64
+installed = slang-2.3.3-2-x86_64
+installed = snappy-1.1.10-1-x86_64
+installed = sof-firmware-2023.12.1-1-x86_64
+installed = solid-6.0.0-1-x86_64
+installed = solid5-5.115.0-1-x86_64
+installed = sonnet5-5.115.0-1-x86_64
+installed = sord-0.16.16-1-x86_64
+installed = sound-theme-freedesktop-0.8-5-any
+installed = soundtouch-2.3.2-1-x86_64
+installed = spandsp-0.0.6-5-x86_64
+installed = speex-1.2.1-1-x86_64
+installed = speexdsp-1.2.1-1-x86_64
+installed = spirv-tools-2023.6-1-x86_64
+installed = sqlite-3.45.2-1-x86_64
+installed = sratom-0.6.16-1-x86_64
+installed = srt-1.5.3-1-x86_64
+installed = startup-notification-0.12-8-x86_64
+installed = steam-1.0.0.78-2-x86_64
+installed = strip-nondeterminism-1.13.1-1-any
+installed = sudo-1.9.15.p5-1-x86_64
+installed = suitesparse-7.6.1-1-x86_64
+installed = svt-av1-1.8.0-1-x86_64
+installed = svt-hevc-1.5.1-2-x86_64
+installed = syndication5-5.115.0-1-x86_64
+installed = syntax-highlighting-6.0.0-2-x86_64
+installed = syntax-highlighting5-5.115.0-2-x86_64
+installed = sysfsutils-2.1.1-1-x86_64
+installed = syslog-ng-4.4.0-6-x86_64
+installed = syslog-ng-runit-20180226-4-any
+installed = taglib-2.0-1-x86_64
+installed = tar-1.35-2-x86_64
+installed = tdb-1.4.9-1-x86_64
+installed = texinfo-7.1-2-x86_64
+installed = thin-provisioning-tools-1.0.12-1-x86_64
+installed = threadweaver5-5.115.0-1-x86_64
+installed = thunar-4.18.10-1-x86_64
+installed = tinyxml-2.6.2-10-x86_64
+installed = tor-0.4.8.10-2-x86_64
+installed = torbrowser-launcher-0.3.7-1-any
+installed = tpm2-tss-4.0.1-1-x86_64
+installed = tslib-1.23-1-x86_64
+installed = ttf-roboto-2.138-4-any
+installed = tumbler-4.18.2-1-x86_64
+installed = twolame-0.4.0-3-x86_64
+installed = tzdata-2024a-1-x86_64
+installed = udev-255.4-2-x86_64
+installed = udisks2-2.10.1-4-x86_64
+installed = unrar-1:7.0.7-1-x86_64
+installed = upower-1.90.2-1-x86_64
+installed = usbmuxd-1.1.1-3.1-x86_64
+installed = usbutils-017-1-x86_64
+installed = util-linux-2.39.3-2-x86_64
+installed = util-linux-libs-2.39.3-2-x86_64
+installed = uwu-qwq-1.0-1-x86_64
+installed = v4l-utils-1.26.1-1-x86_64
+installed = vapoursynth-R65-1-x86_64
+installed = vid.stab-1.1.1-1-x86_64
+installed = virtualbox-7.0.14-2-x86_64
+installed = virtualbox-host-dkms-7.0.14-2-x86_64
+installed = vkd3d-1.10-1-x86_64
+installed = vktablet-1.2.4-1-x86_64
+installed = vlc-3.0.20-7-x86_64
+installed = vmaf-3.0.0-1-x86_64
+installed = volume_key-0.3.12-8-x86_64
+installed = vte-common-0.74.2-1-x86_64
+installed = vte3-0.74.2-1-x86_64
+installed = vulkan-headers-1:1.3.279-1-any
+installed = vulkan-icd-loader-1.3.279-1-x86_64
+installed = vulkan-intel-1:24.0.2-2-x86_64
+installed = vulkan-radeon-1:24.0.2-2-x86_64
+installed = vulkan-swrast-1:24.0.2-2-x86_64
+installed = wavpack-5.7.0-1-x86_64
+installed = wayland-1.22.0-1-x86_64
+installed = wayland-protocols-1.33-1-any
+installed = webkit2gtk-2.42.5-2-x86_64
+installed = webp-pixbuf-loader-0.2.7-1-x86_64
+installed = webrtc-audio-processing-0.3.1-4.1-x86_64
+installed = webrtc-audio-processing-1-1.3-2-x86_64
+installed = wget-1.24.5-1-x86_64
+installed = which-2.21-6-x86_64
+installed = wildmidi-0.4.5-2-x86_64
+installed = windscribe-cli-1.4_51-1-x86_64
+installed = windscribe-runit-r3-2-any
+installed = wine-9.3-1-x86_64
+installed = wireless-regdb-2024.01.23-1-any
+installed = woff2-1.0.2-4-x86_64
+installed = wpa_supplicant-2:2.10-8-x86_64
+installed = wpa_supplicant-runit-20180429-3-any
+installed = wpebackend-fdo-1.14.2-1-x86_64
+installed = x264-3:0.164.r3108.31e19f9-1-x86_64
+installed = x265-3.5-3-x86_64
+installed = xcb-proto-1.16.0-1-any
+installed = xcb-util-0.4.1-1-x86_64
+installed = xcb-util-cursor-0.1.5-1-x86_64
+installed = xcb-util-image-0.4.1-2-x86_64
+installed = xcb-util-keysyms-0.4.1-4-x86_64
+installed = xcb-util-renderutil-0.3.10-1-x86_64
+installed = xcb-util-wm-0.4.2-1-x86_64
+installed = xclip-0.13-4-x86_64
+installed = xcursor-premium-0.3-10-any
+installed = xdg-dbus-proxy-0.1.5-1-x86_64
+installed = xdg-user-dirs-0.18-1-x86_64
+installed = xdg-utils-1.2.1-1-any
+installed = xf86-input-libinput-1.4.0-1-x86_64
+installed = xf86-input-vmmouse-13.2.0-1-x86_64
+installed = xf86-video-amdgpu-23.0.0-1-x86_64
+installed = xf86-video-ati-1:22.0.0-1-x86_64
+installed = xf86-video-dummy-0.4.1-1-x86_64
+installed = xf86-video-fbdev-0.5.0-3-x86_64
+installed = xf86-video-intel-1:2.99.917+923+gb74b67f0-1-x86_64
+installed = xf86-video-nouveau-1.0.17-2-x86_64
+installed = xf86-video-openchrome-0.6.0.r798.g0c75274-2-x86_64
+installed = xf86-video-sisusb-0.9.7-4-x86_64
+installed = xf86-video-vesa-2.6.0-1-x86_64
+installed = xf86-video-vmware-13.4.0-1-x86_64
+installed = xf86-video-voodoo-1.2.6-1-x86_64
+installed = xfburn-0.7.0-1-x86_64
+installed = xfce4-appfinder-4.18.1-1-x86_64
+installed = xfce4-artwork-0.1.1a_git20110420-6.1-any
+installed = xfce4-battery-plugin-1.1.5-1-x86_64
+installed = xfce4-clipman-plugin-1.6.6-1-x86_64
+installed = xfce4-cpufreq-plugin-1.2.8-1-x86_64
+installed = xfce4-cpugraph-plugin-1.2.10-1-x86_64
+installed = xfce4-dict-0.8.6-1-x86_64
+installed = xfce4-diskperf-plugin-2.7.0-1-x86_64
+installed = xfce4-fsguard-plugin-1.1.3-1-x86_64
+installed = xfce4-genmon-plugin-4.2.0-1-x86_64
+installed = xfce4-mailwatch-plugin-1.3.1-1-x86_64
+installed = xfce4-mount-plugin-1.1.6-1-x86_64
+installed = xfce4-mpc-plugin-0.5.3-1-x86_64
+installed = xfce4-netload-plugin-1.4.1-1-x86_64
+installed = xfce4-notes-plugin-1.11.0-1-x86_64
+installed = xfce4-notifyd-0.9.4-1-x86_64
+installed = xfce4-panel-4.18.6-1-x86_64
+installed = xfce4-power-manager-4.18.3-1-x86_64
+installed = xfce4-pulseaudio-plugin-0.4.8-1-x86_64
+installed = xfce4-screensaver-4.18.3-1-x86_64
+installed = xfce4-screenshooter-1.10.5-1-x86_64
+installed = xfce4-sensors-plugin-1.4.4-1-x86_64
+installed = xfce4-session-4.18.3-1.1-x86_64
+installed = xfce4-settings-4.18.4-1-x86_64
+installed = xfce4-smartbookmark-plugin-0.5.2-2-x86_64
+installed = xfce4-systemload-plugin-1.3.2-1-x86_64
+installed = xfce4-taskmanager-1.5.7-1-x86_64
+installed = xfce4-terminal-1.1.3-1-x86_64
+installed = xfce4-time-out-plugin-1.1.3-1-x86_64
+installed = xfce4-timer-plugin-1.7.2-1-x86_64
+installed = xfce4-verve-plugin-2.0.3-1-x86_64
+installed = xfce4-weather-plugin-0.11.2-1-x86_64
+installed = xfce4-whiskermenu-plugin-2.8.3-1-x86_64
+installed = xfce4-xkb-plugin-0.8.3-1-x86_64
+installed = xfconf-4.18.3-1-x86_64
+installed = xfsprogs-6.6.0-1-x86_64
+installed = xfwm4-4.18.0-2-x86_64
+installed = xfwm4-themes-4.10.0-5-any
+installed = xkeyboard-config-2.41-1-any
+installed = xorg-fonts-encodings-1.1.0-1-any
+installed = xorg-iceauth-1.0.10-1-x86_64
+installed = xorg-server-21.1.11-1-x86_64
+installed = xorg-server-common-21.1.11-1-x86_64
+installed = xorg-setxkbmap-1.3.4-1-x86_64
+installed = xorg-xauth-1.1.3-1-x86_64
+installed = xorg-xhost-1.0.9-1-x86_64
+installed = xorg-xinit-1.4.2-1-x86_64
+installed = xorg-xkbcomp-1.4.7-1-x86_64
+installed = xorg-xmodmap-1.0.11-1-x86_64
+installed = xorg-xprop-1.2.7-1-x86_64
+installed = xorg-xrandr-1.5.2-1-x86_64
+installed = xorg-xrdb-1.2.2-1-x86_64
+installed = xorg-xset-1.2.5-1-x86_64
+installed = xorgproto-2023.2-1-any
+installed = xsel-1.2.1-1-x86_64
+installed = xvidcore-1.3.7-2.1-x86_64
+installed = xxhash-0.8.2-1-x86_64
+installed = xz-5.6.1-1-x86_64
+installed = yaml-cpp-0.8.0-1-x86_64
+installed = yay-12.2.0-1-x86_64
+installed = zbar-0.23.90-3-x86_64
+installed = zenity-4.0.1-1-x86_64
+installed = zeromq-4.3.5-2-x86_64
+installed = zimg-3.0.5-1-x86_64
+installed = zip-3.0-11-x86_64
+installed = zix-0.4.2-2-x86_64
+installed = zlib-1:1.3.1-1-x86_64
+installed = zstd-1.5.5-1-x86_64
+installed = zvbi-0.2.42-1-x86_64
+installed = zxing-cpp-2.2.1-1-x86_64
diff --git a/pkg/qwq/.MTREE b/pkg/qwq/.MTREE
new file mode 100644
index 0000000..05c0e2b
Binary files /dev/null and b/pkg/qwq/.MTREE differ
diff --git a/pkg/qwq/.PKGINFO b/pkg/qwq/.PKGINFO
new file mode 100644
index 0000000..c9f80b3
--- /dev/null
+++ b/pkg/qwq/.PKGINFO
@@ -0,0 +1,14 @@
+# Generated by makepkg 6.0.2
+# using fakeroot version 1.34
+pkgname = qwq
+pkgbase = qwq
+pkgver = 1.0-1
+pkgdesc = uwu/qwq for terminal
+url = https://github.com/qsqcqs/qwq/tree
+builddate = 1710569205
+packager = Unknown Packager
+size = 0
+arch = x86_64
+license = GPL-3.0-or-later
+replaces = uwu-qwq
+depend = python3
diff --git a/qwq b/qwq
new file mode 100644
index 0000000..4d7e756
--- /dev/null
+++ b/qwq
@@ -0,0 +1,64 @@
+#!/bin/python
+
+import re
+import sys
+b=0
+if len(sys.argv) > 1:
+	b=sys.argv[1:]			
+	a=b[0]
+	b=b[1:]
+	while len(b) > 0:
+		a=a+' '+b[0]
+		b=b[1:]		
+	a=re.sub("thats","nyas",a)
+	a=re.sub("pretty|beautiful","pwetti",a)
+	a=re.sub("rl","w",a)
+	a=re.sub("r","w",a)
+	a=re.sub("l","w",a)
+	a=re.sub("ow","ao",a)
+	a=re.sub("tha","nya",a)
+	a=re.sub("(?<=\b)this(?=\b)","dis",a)
+	a=re.sub("na","nya",a)
+	a=re.sub("th","f",a)
+	a=re.sub("(?<![b-df-hj-np-tv-xzB-DF-HJ-NP-TV-XZ])u","wu",a)
+	a=re.sub("y","yie",a)
+	a=re.sub("(?<![aeiouAEIOU])e[iya]","yei",a)
+	a=re.sub("(?<![aeiouAEIOU])ie","yie",a)
+	a=re.sub("(?<![aeiouAEIOU])a[e]","yae",a)
+	a=re.sub("(?<![aeiouAEIOU])ai","yai",a)
+	a=re.sub("(?<![aeiouAEIOU])o[ou]","yu",a)
+	a=re.sub("(?<![aeiouAEIOU])oe","yo",a)
+	a=re.sub("(?<![aeiouAEIOU])u[eu]","uwu",a)
+	a=re.sub("(?<![aeiouAEIOU])e[u]","uwu",a)
+	a=re.sub("o[uo]","ew",a)
+	print(a)
+	exit()
+
+while b==0:
+		try:
+			a=input()
+			a=re.sub("thats","nyas",a)
+			a=re.sub("pretty|beautiful","pwetti",a)
+			a=re.sub("rl","w",a)
+			a=re.sub("r","w",a)
+			a=re.sub("l","w",a)
+			a=re.sub("ow","ao",a)
+			a=re.sub("tha","nya",a)
+			a=re.sub("(?<=\b)this(?=\b)","dis",a)
+			a=re.sub("na","nya",a)
+			a=re.sub("th","f",a)
+			a=re.sub("(?<![b-df-hj-np-tv-xzB-DF-HJ-NP-TV-XZ])u","wu",a)
+			a=re.sub("y","yie",a)
+			a=re.sub("(?<![aeiouAEIOU])e[iya]","yei",a)
+			a=re.sub("(?<![aeiouAEIOU])ie","yie",a)
+			a=re.sub("(?<![aeiouAEIOU])a[e]","yae",a)
+			a=re.sub("(?<![aeiouAEIOU])ai","yai",a)
+			a=re.sub("(?<![aeiouAEIOU])o[ou]","yu",a)
+			a=re.sub("(?<![aeiouAEIOU])oe","yo",a)
+			a=re.sub("(?<![aeiouAEIOU])u[eu]","uwu",a)
+			a=re.sub("(?<![aeiouAEIOU])e[u]","uwu",a)
+			a=re.sub("o[uo]","ew",a)
+			print(a)
+		except EOFError:
+			b=1
+
diff --git a/qwq-1.0-1-x86_64.pkg.tar.zst b/qwq-1.0-1-x86_64.pkg.tar.zst
new file mode 100644
index 0000000..715ed91
Binary files /dev/null and b/qwq-1.0-1-x86_64.pkg.tar.zst differ
diff --git a/qwq-v1.0.tar.gz b/qwq-v1.0.tar.gz
new file mode 100644
index 0000000..5cc6140
Binary files /dev/null and b/qwq-v1.0.tar.gz differ
diff --git a/src/qwq-qwq-v1.0/qwq b/src/qwq-qwq-v1.0/qwq
new file mode 100644
index 0000000..4d7e756
--- /dev/null
+++ b/src/qwq-qwq-v1.0/qwq
@@ -0,0 +1,64 @@
+#!/bin/python
+
+import re
+import sys
+b=0
+if len(sys.argv) > 1:
+	b=sys.argv[1:]			
+	a=b[0]
+	b=b[1:]
+	while len(b) > 0:
+		a=a+' '+b[0]
+		b=b[1:]		
+	a=re.sub("thats","nyas",a)
+	a=re.sub("pretty|beautiful","pwetti",a)
+	a=re.sub("rl","w",a)
+	a=re.sub("r","w",a)
+	a=re.sub("l","w",a)
+	a=re.sub("ow","ao",a)
+	a=re.sub("tha","nya",a)
+	a=re.sub("(?<=\b)this(?=\b)","dis",a)
+	a=re.sub("na","nya",a)
+	a=re.sub("th","f",a)
+	a=re.sub("(?<![b-df-hj-np-tv-xzB-DF-HJ-NP-TV-XZ])u","wu",a)
+	a=re.sub("y","yie",a)
+	a=re.sub("(?<![aeiouAEIOU])e[iya]","yei",a)
+	a=re.sub("(?<![aeiouAEIOU])ie","yie",a)
+	a=re.sub("(?<![aeiouAEIOU])a[e]","yae",a)
+	a=re.sub("(?<![aeiouAEIOU])ai","yai",a)
+	a=re.sub("(?<![aeiouAEIOU])o[ou]","yu",a)
+	a=re.sub("(?<![aeiouAEIOU])oe","yo",a)
+	a=re.sub("(?<![aeiouAEIOU])u[eu]","uwu",a)
+	a=re.sub("(?<![aeiouAEIOU])e[u]","uwu",a)
+	a=re.sub("o[uo]","ew",a)
+	print(a)
+	exit()
+
+while b==0:
+		try:
+			a=input()
+			a=re.sub("thats","nyas",a)
+			a=re.sub("pretty|beautiful","pwetti",a)
+			a=re.sub("rl","w",a)
+			a=re.sub("r","w",a)
+			a=re.sub("l","w",a)
+			a=re.sub("ow","ao",a)
+			a=re.sub("tha","nya",a)
+			a=re.sub("(?<=\b)this(?=\b)","dis",a)
+			a=re.sub("na","nya",a)
+			a=re.sub("th","f",a)
+			a=re.sub("(?<![b-df-hj-np-tv-xzB-DF-HJ-NP-TV-XZ])u","wu",a)
+			a=re.sub("y","yie",a)
+			a=re.sub("(?<![aeiouAEIOU])e[iya]","yei",a)
+			a=re.sub("(?<![aeiouAEIOU])ie","yie",a)
+			a=re.sub("(?<![aeiouAEIOU])a[e]","yae",a)
+			a=re.sub("(?<![aeiouAEIOU])ai","yai",a)
+			a=re.sub("(?<![aeiouAEIOU])o[ou]","yu",a)
+			a=re.sub("(?<![aeiouAEIOU])oe","yo",a)
+			a=re.sub("(?<![aeiouAEIOU])u[eu]","uwu",a)
+			a=re.sub("(?<![aeiouAEIOU])e[u]","uwu",a)
+			a=re.sub("o[uo]","ew",a)
+			print(a)
+		except EOFError:
+			b=1
+
diff --git a/src/qwq-qwq-v1.0/uwu b/src/qwq-qwq-v1.0/uwu
new file mode 100644
index 0000000..4d7e756
--- /dev/null
+++ b/src/qwq-qwq-v1.0/uwu
@@ -0,0 +1,64 @@
+#!/bin/python
+
+import re
+import sys
+b=0
+if len(sys.argv) > 1:
+	b=sys.argv[1:]			
+	a=b[0]
+	b=b[1:]
+	while len(b) > 0:
+		a=a+' '+b[0]
+		b=b[1:]		
+	a=re.sub("thats","nyas",a)
+	a=re.sub("pretty|beautiful","pwetti",a)
+	a=re.sub("rl","w",a)
+	a=re.sub("r","w",a)
+	a=re.sub("l","w",a)
+	a=re.sub("ow","ao",a)
+	a=re.sub("tha","nya",a)
+	a=re.sub("(?<=\b)this(?=\b)","dis",a)
+	a=re.sub("na","nya",a)
+	a=re.sub("th","f",a)
+	a=re.sub("(?<![b-df-hj-np-tv-xzB-DF-HJ-NP-TV-XZ])u","wu",a)
+	a=re.sub("y","yie",a)
+	a=re.sub("(?<![aeiouAEIOU])e[iya]","yei",a)
+	a=re.sub("(?<![aeiouAEIOU])ie","yie",a)
+	a=re.sub("(?<![aeiouAEIOU])a[e]","yae",a)
+	a=re.sub("(?<![aeiouAEIOU])ai","yai",a)
+	a=re.sub("(?<![aeiouAEIOU])o[ou]","yu",a)
+	a=re.sub("(?<![aeiouAEIOU])oe","yo",a)
+	a=re.sub("(?<![aeiouAEIOU])u[eu]","uwu",a)
+	a=re.sub("(?<![aeiouAEIOU])e[u]","uwu",a)
+	a=re.sub("o[uo]","ew",a)
+	print(a)
+	exit()
+
+while b==0:
+		try:
+			a=input()
+			a=re.sub("thats","nyas",a)
+			a=re.sub("pretty|beautiful","pwetti",a)
+			a=re.sub("rl","w",a)
+			a=re.sub("r","w",a)
+			a=re.sub("l","w",a)
+			a=re.sub("ow","ao",a)
+			a=re.sub("tha","nya",a)
+			a=re.sub("(?<=\b)this(?=\b)","dis",a)
+			a=re.sub("na","nya",a)
+			a=re.sub("th","f",a)
+			a=re.sub("(?<![b-df-hj-np-tv-xzB-DF-HJ-NP-TV-XZ])u","wu",a)
+			a=re.sub("y","yie",a)
+			a=re.sub("(?<![aeiouAEIOU])e[iya]","yei",a)
+			a=re.sub("(?<![aeiouAEIOU])ie","yie",a)
+			a=re.sub("(?<![aeiouAEIOU])a[e]","yae",a)
+			a=re.sub("(?<![aeiouAEIOU])ai","yai",a)
+			a=re.sub("(?<![aeiouAEIOU])o[ou]","yu",a)
+			a=re.sub("(?<![aeiouAEIOU])oe","yo",a)
+			a=re.sub("(?<![aeiouAEIOU])u[eu]","uwu",a)
+			a=re.sub("(?<![aeiouAEIOU])e[u]","uwu",a)
+			a=re.sub("o[uo]","ew",a)
+			print(a)
+		except EOFError:
+			b=1
+
diff --git a/src/qwq-v1.0.tar.gz b/src/qwq-v1.0.tar.gz
new file mode 120000
index 0000000..0371b44
--- /dev/null
+++ b/src/qwq-v1.0.tar.gz
@@ -0,0 +1 @@
+/home/qsqcqs/qwq/qwq-v1.0.tar.gz
\ No newline at end of file
diff --git a/uwu b/uwu
new file mode 100644
index 0000000..4d7e756
--- /dev/null
+++ b/uwu
@@ -0,0 +1,64 @@
+#!/bin/python
+
+import re
+import sys
+b=0
+if len(sys.argv) > 1:
+	b=sys.argv[1:]			
+	a=b[0]
+	b=b[1:]
+	while len(b) > 0:
+		a=a+' '+b[0]
+		b=b[1:]		
+	a=re.sub("thats","nyas",a)
+	a=re.sub("pretty|beautiful","pwetti",a)
+	a=re.sub("rl","w",a)
+	a=re.sub("r","w",a)
+	a=re.sub("l","w",a)
+	a=re.sub("ow","ao",a)
+	a=re.sub("tha","nya",a)
+	a=re.sub("(?<=\b)this(?=\b)","dis",a)
+	a=re.sub("na","nya",a)
+	a=re.sub("th","f",a)
+	a=re.sub("(?<![b-df-hj-np-tv-xzB-DF-HJ-NP-TV-XZ])u","wu",a)
+	a=re.sub("y","yie",a)
+	a=re.sub("(?<![aeiouAEIOU])e[iya]","yei",a)
+	a=re.sub("(?<![aeiouAEIOU])ie","yie",a)
+	a=re.sub("(?<![aeiouAEIOU])a[e]","yae",a)
+	a=re.sub("(?<![aeiouAEIOU])ai","yai",a)
+	a=re.sub("(?<![aeiouAEIOU])o[ou]","yu",a)
+	a=re.sub("(?<![aeiouAEIOU])oe","yo",a)
+	a=re.sub("(?<![aeiouAEIOU])u[eu]","uwu",a)
+	a=re.sub("(?<![aeiouAEIOU])e[u]","uwu",a)
+	a=re.sub("o[uo]","ew",a)
+	print(a)
+	exit()
+
+while b==0:
+		try:
+			a=input()
+			a=re.sub("thats","nyas",a)
+			a=re.sub("pretty|beautiful","pwetti",a)
+			a=re.sub("rl","w",a)
+			a=re.sub("r","w",a)
+			a=re.sub("l","w",a)
+			a=re.sub("ow","ao",a)
+			a=re.sub("tha","nya",a)
+			a=re.sub("(?<=\b)this(?=\b)","dis",a)
+			a=re.sub("na","nya",a)
+			a=re.sub("th","f",a)
+			a=re.sub("(?<![b-df-hj-np-tv-xzB-DF-HJ-NP-TV-XZ])u","wu",a)
+			a=re.sub("y","yie",a)
+			a=re.sub("(?<![aeiouAEIOU])e[iya]","yei",a)
+			a=re.sub("(?<![aeiouAEIOU])ie","yie",a)
+			a=re.sub("(?<![aeiouAEIOU])a[e]","yae",a)
+			a=re.sub("(?<![aeiouAEIOU])ai","yai",a)
+			a=re.sub("(?<![aeiouAEIOU])o[ou]","yu",a)
+			a=re.sub("(?<![aeiouAEIOU])oe","yo",a)
+			a=re.sub("(?<![aeiouAEIOU])u[eu]","uwu",a)
+			a=re.sub("(?<![aeiouAEIOU])e[u]","uwu",a)
+			a=re.sub("o[uo]","ew",a)
+			print(a)
+		except EOFError:
+			b=1
+

which doesn't explain anything, .BUILDINFO also includes all installed packages for some reason?

Last edited by qsqcqs (2024-03-16 09:07:22)

Offline

#6 2024-03-16 09:09:13

seth
Member
Registered: 2012-09-03
Posts: 52,226

Re: [solved]error sshing to aur

The tailing ":" looks like that's from a pager?

Is this the initial commit?

Did you actually create the package properly?
https://wiki.archlinux.org/title/AUR_su … positories

Did you forget to update the .SRCINFO?

Offline

#7 2024-03-16 09:19:04

qsqcqs
Member
Registered: 2023-11-07
Posts: 13

Re: [solved]error sshing to aur

even after including the full text (by piping to a text file) and updating .SRCINFO, it does not explain more or fix the issue, even creating a new project following the wiki instructions and  leads to the same issue

Offline

#8 2024-03-16 09:30:43

seth
Member
Registered: 2012-09-03
Posts: 52,226

Re: [solved]error sshing to aur

And where's the .SRCINFO update in that commit?

Offline

#9 2024-03-16 09:36:29

edacval
Member
From: .LT
Registered: 2008-10-23
Posts: 92

Re: [solved]error sshing to aur

Why did you add 

 src pkg  

directories to git?  This is cause of error.

Last edited by edacval (2024-03-16 09:56:24)

Offline

#10 2024-03-16 10:46:10

Scimmia
Fellow
Registered: 2012-09-01
Posts: 11,636

Re: [solved]error sshing to aur

that shows that you're adding files from ./src/. You can't do that.

Offline

#11 2024-03-16 13:24:39

WorMzy
Forum Moderator
From: Scotland
Registered: 2010-06-16
Posts: 11,933
Website

Re: [solved]error sshing to aur

Looks like you ran something like

git add * .*

And added every file and subdirectory in your working directory to your git repo. Don't do that.

Also, FYI, Artix is not supported here.


Sakura:-
Mobo: MSI MAG X570S TORPEDO MAX // Processor: AMD Ryzen 9 5950X @4.9GHz // GFX: AMD Radeon RX 5700 XT // RAM: 32GB (4x 8GB) Corsair DDR4 (@ 3000MHz) // Storage: 1x 3TB HDD, 6x 1TB SSD, 2x 120GB SSD, 1x 275GB M2 SSD

Making lemonade from lemons since 2015.

Offline

#12 2024-03-16 15:00:37

Scimmia
Fellow
Registered: 2012-09-01
Posts: 11,636

Re: [solved]error sshing to aur

.gitignore I use for the AUR to make certain I never commit too much:

*~
*/
*.tar.*
*.log

Offline

Board footer

Powered by FluxBB